Flow dnsblocked
curl --request GET \
--url https://{host}/api/supervisors/{name}/security/flows/dns-blocked \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/security/flows/dns-blocked"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/security/flows/dns-blocked', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/flows/dns-blocked",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/flows/dns-blocked"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/security/flows/dns-blocked")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/flows/dns-blocked")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"block": true,
"groups": [
{
"attempts": 123,
"events": [
{
"kind": "<string>",
"layer": "<string>",
"target": "<string>",
"time": "2023-11-07T05:31:56Z",
"node": "<string>",
"pod": "<string>",
"policy": "<string>",
"provider": "<string>",
"sourceIp": "<string>"
}
],
"first": "2023-11-07T05:31:56Z",
"key": "<string>",
"kinds": [
"<string>"
],
"last": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"pods": [
"<string>"
],
"sourceIps": [
"<string>"
],
"workload": "<string>",
"guestCluster": "<string>",
"project": "<string>",
"workloadKind": "<string>"
}
],
"since": "<string>",
"sinkholes": [
"<string>"
],
"threatBlock": true,
"totals": {
"dns": 123,
"policy": 123,
"sinkhole": 123
},
"honeypot": true,
"noQueryLog": true,
"truncated": true
}{
"error": "<string>"
}{
"error": "<string>"
}security
Flow dnsblocked
Authorisation: security:Read on krn:celum:supervisor:{name}:security:*.
Assistant tool: get_dns_blocked_attempts
GET
/
api
/
supervisors
/
{name}
/
security
/
flows
/
dns-blocked
Flow dnsblocked
curl --request GET \
--url https://{host}/api/supervisors/{name}/security/flows/dns-blocked \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/security/flows/dns-blocked"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/security/flows/dns-blocked', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/flows/dns-blocked",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/flows/dns-blocked"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/security/flows/dns-blocked")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/flows/dns-blocked")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"block": true,
"groups": [
{
"attempts": 123,
"events": [
{
"kind": "<string>",
"layer": "<string>",
"target": "<string>",
"time": "2023-11-07T05:31:56Z",
"node": "<string>",
"pod": "<string>",
"policy": "<string>",
"provider": "<string>",
"sourceIp": "<string>"
}
],
"first": "2023-11-07T05:31:56Z",
"key": "<string>",
"kinds": [
"<string>"
],
"last": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"pods": [
"<string>"
],
"sourceIps": [
"<string>"
],
"workload": "<string>",
"guestCluster": "<string>",
"project": "<string>",
"workloadKind": "<string>"
}
],
"since": "<string>",
"sinkholes": [
"<string>"
],
"threatBlock": true,
"totals": {
"dns": 123,
"policy": 123,
"sinkhole": 123
},
"honeypot": true,
"noQueryLog": true,
"truncated": true
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.